Subject: [Megaco] reply to sender of command

From: Raphael Tryster <[email-masked]>
Date: Mon, 29 Apr 2002 10:50:10 +0200

I have seen a number of discussions in the archive about the following
statement:

"Responses must be sent to the address and port from which the corresponding
commands were sent".

The discussions relate mostly to failover and handover situations, but I
could not find any discussion of what happens when a rogue MGC sends a
command to an MG with which it has not established a control association.
One rule that may be relevant here is:

"It is possible that the reply to a ServiceChange with Restart will be lost,
and a command will be received by the MG prior to the receipt of the
ServiceChange response.  The MG shall issue error 505 - Command Received
before Restart Response".

Does the MG send error 505 if it has not received a restart response from
the SENDING MGC, or from ANY MGC?  If the answer is ANY MGC, how does the MG
protect itself from being sent commands by unauthorized entities?

Raphael Tryster